API Reference
API Reference

Map a purchase item to a product

Description

Links (maps) a specific ETIMS purchase item to an existing product. .

Parameters

Path parameter
  • id (integer): The ID of the ETIMS purchase item to be linked.
Header parameter
  • X-Workstation (string): The workstation ID from which the request is made. Required for audit and tracking.
Body parameter
  • product (string, UUID): The unique identifier of the product you want to link to the purchase item.

Example

PATCH /api/etims/purchasesitems/404/
X-Workstation: POS-01
Content-Type: application/json

{
  "product": "fd4b9ecd-5f0a-4f9a-8edb-6eab66494782"
}
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
integer
required

ID of the ETIMS purchase item to map

Body Params
uuid
required

The UUID of the product to map to the purchase item

Headers
string
required

[REQUIRED] Workstation ID from which the mapping is performed

Responses

400

Invalid product ID format

404

Purchase item not found

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json